import MovieClip from "./movieclip/MovieClip";
import LabelType from "../startScene/items/LabelType";

export default class BaseItem extends egret.Sprite {
    _mc: MovieClip;
    type: LabelType;
    constructor(mc: MovieClip, type?: LabelType) {
        super();
        this.type = type;
        this._mc = mc;
        const bubble: egret.Texture = RES.getRes('bubble_png');
        const bubblePic = new egret.Bitmap(bubble);
        bubblePic.anchorOffsetX = 76;
        bubblePic.anchorOffsetY = 78;
        this.addChild(bubblePic);
        this.addChild(this._mc);
    }

    get mc() { return this._mc; }
}